0 Replies Latest reply on Dec 8, 2006 4:33 AM by Viktor Rees

    Upgade of jacorb.jar for JBoss 4.0.2

    Viktor Rees Newbie

      Hallo,
      due to some compatibility issues with some other running JBoss systems, we have to use JBoss Version 4.0.2.

      JBoss 4.0.2 comes with with Jacorb library '2.2.1 (JBoss patch2)'

      Because of some fixed bugs in the jacorb.jar, e.g.
      http://www.jacorb.org/cgi-bin/bugzilla/show_bug.cgi?id=652
      http://www.jacorb.org/cgi-bin/bugzilla/show_bug.cgi?id=646

      we will need a solution to upgrade or patch the jacorb library. The easiest solution we see, is to take the new version 'JacORB V 2.2.4 (JBoss patch 1)' that comes with Jboss 4.0.5.

      When combining the JBoss 4.0.2 with 'JacOrb V 2.2.4 (JBoss patch 1)' first tests failed. Strange behaviour could be seen. It would be interesting to know, if that combination should work at all and to invest more effort to get it run.

      If somebody knows, that the combination of the noted versions will not work, we have look for an other solution.

      Can anybody help?